<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>35. Unix Specific Services &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="../_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="../_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="../about.html" />
    <link rel="copyright" title="Copyright" href="../copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="../contents.html" />
    <link rel="up" title="The Python Standard Library" href="index.html" />
    <link rel="next" title="35.1. posix — The most common POSIX system calls" href="posix.html" />
    <link rel="prev" title="34.4. winsound — Sound-playing interface for Windows" href="winsound.html" />
    <link rel="shortcut icon" type="image/png" href="../_static/py.png" />
    <script type="text/javascript" src="../_static/copybutton.js"></script>
    <script type="text/javascript" src="../_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="posix.html" title="35.1. posix — The most common POSIX system calls"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="winsound.html" title="34.4. winsound — Sound-playing interface for Windows"
             accesskey="P">previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">The Python Standard Library</a> &raquo;</li> 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="unix-specific-services">
<span id="unix"></span><h1>35. Unix Specific Services<a class="headerlink" href="#unix-specific-services" title="Permalink to this headline">¶</a></h1>
<p>The modules described in this chapter provide interfaces to features that are
unique to the Unix operating system, or in some cases to some or many variants
of it.  Here&#8217;s an overview:</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="posix.html">35.1. <code class="docutils literal"><span class="pre">posix</span></code> &#8212; The most common POSIX system calls</a><ul>
<li class="toctree-l2"><a class="reference internal" href="posix.html#large-file-support">35.1.1. Large File Support</a></li>
<li class="toctree-l2"><a class="reference internal" href="posix.html#notable-module-contents">35.1.2. Notable Module Contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="pwd.html">35.2. <code class="docutils literal"><span class="pre">pwd</span></code> &#8212; The password database</a></li>
<li class="toctree-l1"><a class="reference internal" href="spwd.html">35.3. <code class="docutils literal"><span class="pre">spwd</span></code> &#8212; The shadow password database</a></li>
<li class="toctree-l1"><a class="reference internal" href="grp.html">35.4. <code class="docutils literal"><span class="pre">grp</span></code> &#8212; The group database</a></li>
<li class="toctree-l1"><a class="reference internal" href="crypt.html">35.5. <code class="docutils literal"><span class="pre">crypt</span></code> &#8212; Function to check Unix passwords</a><ul>
<li class="toctree-l2"><a class="reference internal" href="crypt.html#hashing-methods">35.5.1. Hashing Methods</a></li>
<li class="toctree-l2"><a class="reference internal" href="crypt.html#module-attributes">35.5.2. Module Attributes</a></li>
<li class="toctree-l2"><a class="reference internal" href="crypt.html#module-functions">35.5.3. Module Functions</a></li>
<li class="toctree-l2"><a class="reference internal" href="crypt.html#examples">35.5.4. Examples</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="termios.html">35.6. <code class="docutils literal"><span class="pre">termios</span></code> &#8212; POSIX style tty control</a><ul>
<li class="toctree-l2"><a class="reference internal" href="termios.html#example">35.6.1. Example</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="tty.html">35.7. <code class="docutils literal"><span class="pre">tty</span></code> &#8212; Terminal control functions</a></li>
<li class="toctree-l1"><a class="reference internal" href="pty.html">35.8. <code class="docutils literal"><span class="pre">pty</span></code> &#8212; Pseudo-terminal utilities</a><ul>
<li class="toctree-l2"><a class="reference internal" href="pty.html#example">35.8.1. Example</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="fcntl.html">35.9. <code class="docutils literal"><span class="pre">fcntl</span></code> &#8212; The <code class="docutils literal"><span class="pre">fcntl</span></code> and <code class="docutils literal"><span class="pre">ioctl</span></code> system calls</a></li>
<li class="toctree-l1"><a class="reference internal" href="pipes.html">35.10. <code class="docutils literal"><span class="pre">pipes</span></code> &#8212; Interface to shell pipelines</a><ul>
<li class="toctree-l2"><a class="reference internal" href="pipes.html#template-objects">35.10.1. Template Objects</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="resource.html">35.11. <code class="docutils literal"><span class="pre">resource</span></code> &#8212; Resource usage information</a><ul>
<li class="toctree-l2"><a class="reference internal" href="resource.html#resource-limits">35.11.1. Resource Limits</a></li>
<li class="toctree-l2"><a class="reference internal" href="resource.html#resource-usage">35.11.2. Resource Usage</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="nis.html">35.12. <code class="docutils literal"><span class="pre">nis</span></code> &#8212; Interface to Sun&#8217;s NIS (Yellow Pages)</a></li>
<li class="toctree-l1"><a class="reference internal" href="syslog.html">35.13. <code class="docutils literal"><span class="pre">syslog</span></code> &#8212; Unix syslog library routines</a><ul>
<li class="toctree-l2"><a class="reference internal" href="syslog.html#examples">35.13.1. Examples</a><ul>
<li class="toctree-l3"><a class="reference internal" href="syslog.html#simple-example">35.13.1.1. Simple example</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="winsound.html"
                        title="previous chapter">34.4. <code class="docutils literal"><span class="pre">winsound</span></code> &#8212; Sound-playing interface for Windows</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="posix.html"
                        title="next chapter">35.1. <code class="docutils literal"><span class="pre">posix</span></code> &#8212; The most common POSIX system calls</a></p>
<h3>This Page</h3>
<ul class="this-page-menu">
  <li><a href="../bugs.html">Report a Bug</a></li>
  <li><a href="../_sources/library/unix.txt"
         rel="nofollow">Show Source</a></li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="posix.html" title="35.1. posix — The most common POSIX system calls"
             >next</a> |</li>
        <li class="right" >
          <a href="winsound.html" title="34.4. winsound — Sound-playing interface for Windows"
             >previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >The Python Standard Library</a> &raquo;</li> 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="../copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 08, 2016.
    <a href="../bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>